Subject: [dtn] AMP comment on DC container

From: Brian Sipos <[email-masked]>
Date: Wed, 30 Mar 2016 20:42:13 +0000

This is a comment against "draft-birrane-dtn-amp-02".

I think there is little benefit in having a separate DC type from TDC type. Having only a TDC type is enough to capture all of the cases, and by getting rid of the BLOB-item-wrapping the overhead of the type IDs (in TDC) is no worse than the BLOB size values. The main benefit of this is that it would allow encoded AMP messages to be
self-contained as far as coding is concerned (i.e. I can decode an entire AMP message without external ADM information, even if I cannot interpret the semantics of the message and associate values with OIDs).